.bp3-control {
  &.bp3-radio {
    color: $black1;
    font-weight: 400;
    font-size: 16px;
    line-height: 32px;
    .bp3-control-indicator {
      border: 2px solid $rt-blue2;
    }
    input {
      &:not(:disabled) {
        &:checked {
          ~ {
            .bp3-control-indicator {
              background-color: $white5;
              background-image: unset;
              &::before {
                background-image: radial-gradient($rt-blue2, $rt-blue2 28%, transparent 32%);
              }
            }
          }
        }
      }
      &:disabled {
        ~ {
          .bp3-control-indicator {
						border: 2px solid #CCC;
					  background: $white5;
					}
        }
        &:checked {
          ~ {
            .bp3-control-indicator {
              background-color: $white5;
              background-image: unset;
            }
          }
        }
      }
      &:checked {
        &:disabled {
          ~ {
            .bp3-control-indicator {
              &::before {
                background-image: radial-gradient($rt-gray2, $rt-gray2 28%, transparent 32%);
              }
            }
          }
        }
      }
    }
    &:hover {
      input {
        &:checked {
          ~ {
            .bp3-control-indicator {
              background-color: unset;
            }
          }
        }
      }
    }
    &.bp3-align-right {
      .bp3-control-indicator {
        margin-top: 8px;
      }
    }
  }
}
